This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 463679 - [LTC 6.0 FEAT] 201545:FCP - code cleanup stage 1
[LTC 6.0 FEAT] 201545:FCP - code cleanup stage 1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: ---
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 RHEL6Kernel2.6.27
  Show dependency treegraph
 
Reported: 2008-09-24 02:12 EDT by IBM Bug Proxy
Modified: 2010-06-17 16:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 10:35:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 02:12:01 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:18 EDT
1. Feature Overview:
Feature Id:	[201545]
a. Name of Feature:	FCP - code cleanup stage 1
b. Feature Description
Improve readability and serviceabilty of the zfcp driver code and its corresponding documentation 
by performing exclusively non-functional changes ( e.g. nesting, function-calls, goto's, naming ...)

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	zSeries
Request Type:	Driver - Feature from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.27

3. Business Case
Increase Stability, RAS and Code Maintenance. Reduce service costs and amount of critsits and as a
result increase satisfaction of large customers

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-03-02 08:01:12 EST
via upstream kernel, no code to attach to feature BZ
Comment 2 IBM Bug Proxy 2010-06-17 16:51:52 EDT
------- Comment From mgrf@de.ibm.com 2010-06-17 16:46 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx

Note You need to log in before you can comment on or make changes to this bug.